### File

`packages/ecl/components/ecl-spotlight/ecl-spotlight-link/ecl-spotlight-link.component.ts`

### Description

Component representing an anchor element, within the ecl-spotligh, based on the ECL design system. Serves as a container for structured content such as images and titles.

### Extends

`ECLBaseDirective`

### Metadata

selector | `a[eclSpotlightLink]`
templateUrl | `./ecl-spotlight-link.component.html`

### Index

###### Properties
copyright hasAnchor spotlightTitle
###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Binds the component's root CSS classes.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

copyright
Type : `unknown`
Default value : `signal<string>('')`

hasAnchor
Type : `unknown`
Default value : `signal<boolean>(false)`

spotlightTitle
Type : `unknown`
Default value : `signal<string>('')`

### Accessors

cssClasses
get `cssClasses()`
Binds the component's root CSS classes. Returns : `string`

# results matching ""

# No results matching ""